Subject: bug#14076: 24.3; Comments in Fortran Source

From: Fred Krogh <[email-masked]>
Date: Wed, 03 Apr 2013 21:27:01 -0700

On 04/03/2013 08:50 PM, Glenn Morris wrote:
> Fred Krogh wrote:
>
>> I guess now this turns into a new feature request.  I'd love to have
>> some way to leave comments untouched (the nil in Fortran mode).
>> Looking in the f90 settings, I don't see any way to do this.
> You should be able to (ab)use f90-directive-comment-re for this:
>
> (setq f90-directive-comment-re "!")
>
> I don't really want to add a feature for this since AFAIK other
> programming modes don't have such a thing. Fortran mode is different
> because comments are weird in old-school F77.
>
I don't know about the abuse, but it works, and I'm very happy to have it.
Many Thanks,
   Fred